VERSION 5.00
Begin VB.Form TimeZone 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Time Zones"
   ClientHeight    =   4185
   ClientLeft      =   3960
   ClientTop       =   345
   ClientWidth     =   5610
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   9
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "TIMEZONE.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4185
   ScaleWidth      =   5610
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton Command1 
      Caption         =   "Quit"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   3600
      Width           =   1695
   End
   Begin VB.ListBox lstTimeZones 
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2985
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   240
      Width           =   5415
   End
End
Attribute VB_Name = "TimeZone"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
    Dim TZDataFile1$(), TZDataFile2$(), TZDataFile3$()

Private Sub lstTimeZones_Click()
    Dim X2C%

    On Error GoTo BadZone
    For X2C% = 0 To lstTimeZones.ListCount
        If TZDataFile1$(X2C%) = RTrim$(Left$(lstTimeZones.Text, InStr(lstTimeZones.Text, "-") - 2)) Then Exit For
    Next X2C%
        If Val(TZDataFile3$(X2C%)) < 0 Then
            InputD!optEast.Value = -1
        Else
            InputD!optWest.Value = -1
        End If
        InputD!txtTZ.Text = Val(TZDataFile3$(X2C%))

Exy:    Exit Sub

BadZone:
    MsgBox "The file TZ.DAT is corrupt.", 16, "Error!"
    Resume Exy
End Sub

Private Sub Command1_Click()
    Unload TimeZone
End Sub

Private Sub Form_Load()
    Dim X2C%, Ctx, t$

    Close #1
    Open DefaultDirectory$ & "\TZ.DAT" For Input As #1
    
    On Error GoTo WrongData

    Ctx = 0
    ReDim TZDataFile1$(0), TZDataFile2$(0), TZDataFile3$(0)
    
    nRet& = SendMessage(lstTimeZones.hwnd, WM_SETREDRAW, 0, 0&)
    
    Do While Not EOF(1)
       Input #1, TZDataFile1$(Ctx)
       If TZDataFile1$(Ctx) = "" Then
            'MsgBox "Error in time zone file. Please correct before continuing.", 64, "Warning!"
            Exit Do
       End If
       Input #1, TZDataFile2$(Ctx): Input #1, TZDataFile3$(Ctx)
       t$ = TZDataFile1$(Ctx) & Space(32 - Len(TZDataFile1$(Ctx))) & " - "
       t$ = t$ & Space(4 - Len(TZDataFile2$(Ctx))) & TZDataFile2$(Ctx) & " ="
       t$ = t$ & Align4(TZDataFile3$(Ctx))
       lstTimeZones.AddItem t$
       Ctx = Ctx + 1: ReDim Preserve TZDataFile1$(UBound(TZDataFile1$) + 1)
       ReDim Preserve TZDataFile2$(UBound(TZDataFile2$) + 1)
       ReDim Preserve TZDataFile3$(UBound(TZDataFile3$) + 1)
    Loop
Ety1:  Close #1
       nRet& = SendMessage(lstTimeZones.hwnd, WM_SETREDRAW, -1, 0&)
       InvalidateRect lstTimeZones.hwnd, Null, -1&
       Exit Sub

WrongData:
    MsgBox "The file TZ.DAT is corrupt.", 16, "Error!"
    Resume Ety1
End Sub

